Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Class AttributesMap

    java.lang.Object
      org.mortbay.util.AttributesMap

All Implemented Interfaces:
  Attributes

    public class AttributesMap

extends Object
implements Attributes

AttributesMap.

Author:
  gregw

Constructor Summary
`AttributesMap()`
`AttributesMap(Map map)`

Method Summary
`void` | `clearAttributes()`
`Object` | `getAttribute(String name)`
`Enumeration` | `getAttributeNames()`
`static Enumeration` | `getAttributeNamesCopy(Attributes attrs)`
`void` | `removeAttribute(String name)`
`void` | `setAttribute(String name, Object attribute)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributesMap

    public AttributesMap()

### AttributesMap

    public AttributesMap(Map map)

Method Detail

### removeAttribute

    public void removeAttribute(String name)

  Specified by:
    `removeAttribute` in interface `Attributes`

### setAttribute

    public void setAttribute(String name,
                             Object attribute)

  Specified by:
    `setAttribute` in interface `Attributes`

### getAttribute

    public Object getAttribute(String name)

  Specified by:
    `getAttribute` in interface `Attributes`

### getAttributeNames

    public Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `Attributes`

### getAttributeNamesCopy

    public static Enumeration getAttributeNamesCopy(Attributes attrs)

### clearAttributes

    public void clearAttributes()

  Specified by:
    `clearAttributes` in interface `Attributes`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.